Bug 879070 - The resource tree should visually notify when resource pruning has been applied
The resource tree should visually notify when resource pruning has been applied
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
All All
unspecified Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 848853
  Show dependency treegraph
 
Reported: 2012-11-21 19:33 EST by Larry O'Leary
Modified: 2012-11-21 19:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 848853
Environment:
Last Closed:
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Larry O'Leary 2012-11-21 19:33:56 EST
+++ This bug was initially created as a clone of Bug #848853 +++

This is related to the work done for bug 847014.

To avoid unbounded resource fetches when building/expanding the resource tree we at times prune the returned resources.

Today we do not indicate to the user that he may not be seeing all of his resources in the tree.

We should give some indication, and possibly provide easy ways to then get to the [possibly pre-filtered] Inventory-Children view for the resource.

UX should be involved in designing the approach.

--- Additional comment from Jay Shaughnessy on 2012-08-16 11:21:40 EDT ---


Technical note: An idea here is to change the return type of findResourcesByCriteriaBounded to be a composite that includes the List of resources as well as some other Object that provides information about any pruning applied (like Type|Returned#|Total# tuples).

Then that info could help us introduce hooks into the tree.

--- Additional comment from Charles Crouch on 2012-10-08 09:38:14 EDT ---

We should complete the work which was started in 311 around the navigation tree

--- Additional comment from mark yarborough on 2012-11-20 15:45:45 EST ---

Per triage with loleary, crouch, mfoley: Move to JBoss ON product, set target release JON 3.2, clear priority (will be subject to further triage in JON 3.2 timeframe).

Note You need to log in before you can comment on or make changes to this bug.